using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using AAIntegration.SimmonsBank.API.Configs;
using AAIntegration.SimmonsBank.API.Entities;
using AAIntegration.SimmonsBank.API.Models.Transactions;
using AAIntegration.SimmonsBank.API.Services;
using Internal;
using Microsoft.Extensions.Caching.Memory;
using Microsoft.Extensions.Options;

namespace AAIntegration.SimmonsBank.API.Processes;

public class PuppeteerProcess : IPuppeteerProcess
{
   private readonly PuppeteerConfig _config;
   private readonly ILogger<PuppeteerProcess> _logger;
   private readonly IMemoryCache _memoryCache;

   public PuppeteerProcess(
        IOptions<PuppeteerConfig> config,
        ILogger<PuppeteerProcess> logger,
        IMemoryCache memoryCache)
   {
        _config = config.Value;
        _logger = logger;
        _memoryCache = memoryCache;
   }

    public async Task StayLoggedIn(User user)
    {
        _logger.LogInformation($"... doing work and processing for user {user.Id} ...");
    }

    // Helper Functions

    
}
